GET
Look up a Stellar account
Resolve a Stellar address by name or look up an account by its ID.
Path Params
-
coinstring requiredStellar network coin, such as xlm or txlm.
Query Params
-
qstring requiredStellar address or account ID to look up. -
typestring enum requiredLookup by Stellar address or account ID.nameid
Responses
200
OK
Response Body
object
-
account_idstring -
stellar_addressstring -
memo_typestring -
memostring
400
Bad Request
Response Body
ONE OF
-
detailstring required -
errorstring required -
namestring -
requestIdstring
-
errorstring required -
requestIdstring required
404
Not Found
Response Body
ONE OF
-
detailstring required -
errorstring required -
namestring -
requestIdstring
-
errorstring required -
requestIdstring required
500
Internal Server Error
Response Body
object
-
errorstring required -
requestIdstring required
503
Service Unavailable
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id